OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
CDM

# CDM_NamesDirectory Class Reference

`#include <CDM_NamesDirectory.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CDM_NamesDirectory (const Standard_Integer NbBuckets=1)
Standard_EXPORT CDM_NamesDirectory & | Assign (const CDM_NamesDirectory &Other)
CDM_NamesDirectory & | operator= (const CDM_NamesDirectory &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~CDM_NamesDirectory ()
Standard_EXPORT Standard_Boolean | Bind (const TCollection_ExtendedString &K, const Standard_Integer &I)
Standard_EXPORT Standard_Boolean | IsBound (const TCollection_ExtendedString &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TCollection_ExtendedString &K)
Standard_EXPORT const Standard_Integer & | Find (const TCollection_ExtendedString &K) const
const Standard_Integer & | operator() (const TCollection_ExtendedString &K) const
Standard_EXPORT Standard_Integer & | ChangeFind (const TCollection_ExtendedString &K)
Standard_Integer & | operator() (const TCollection_ExtendedString &K)
## Private Member Functions
Standard_EXPORT | CDM_NamesDirectory (const CDM_NamesDirectory &Other)

## Constructor & Destructor Documentation

Standard_EXPORT CDM_NamesDirectory::CDM_NamesDirectory | ( | const Standard_Integer | NbBuckets = `1` | ) |

CDM_NamesDirectory::~CDM_NamesDirectory | ( |  | ) | `[inline]`

Standard_EXPORT CDM_NamesDirectory::CDM_NamesDirectory | ( | const CDM_NamesDirectory & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT CDM_NamesDirectory& CDM_NamesDirectory::Assign | ( | const CDM_NamesDirectory & | Other | ) |

Standard_EXPORT Standard_Boolean CDM_NamesDirectory::Bind | ( | const TCollection_ExtendedString & | K,
|  | const Standard_Integer & | I
| ) |

Standard_EXPORT Standard_Integer& CDM_NamesDirectory::ChangeFind | ( | const TCollection_ExtendedString & | K | ) |

Standard_EXPORT void CDM_NamesDirectory::Clear | ( |  | ) |

Standard_EXPORT const Standard_Integer& CDM_NamesDirectory::Find | ( | const TCollection_ExtendedString & | K | ) | const

Standard_EXPORT Standard_Boolean CDM_NamesDirectory::IsBound | ( | const TCollection_ExtendedString & | K | ) | const

void CDM_NamesDirectory::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CDM_NamesDirectory::operator new | ( | size_t | size | ) | `[inline]`

void* CDM_NamesDirectory::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer& CDM_NamesDirectory::operator() | ( | const TCollection_ExtendedString & | K | ) | `[inline]`

const Standard_Integer& CDM_NamesDirectory::operator() | ( | const TCollection_ExtendedString & | K | ) | const`[inline]`

CDM_NamesDirectory& CDM_NamesDirectory::operator= | ( | const CDM_NamesDirectory & | Other | ) | `[inline]`

Standard_EXPORT void CDM_NamesDirectory::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean CDM_NamesDirectory::UnBind | ( | const TCollection_ExtendedString & | K | ) |

The documentation for this class was generated from the following file:

- CDM_NamesDirectory.hxx